Name: python-qt5
Summary: Set of Python bindings for Trolltech's Qt application framework
Version: 5.1.1
Release: %mkrel 1
Group: Development/KDE and Qt
URL: http://www.riverbankcomputing.co.uk/software/pyqt/intro
Source0:  http://downloads.sourceforge.net/pyqt/PyQt-gpl-%version.tar.gz
License: GPLv2+
BuildRequires: pkgconfig(Qt5Core) >= 5.0.1
BuildRequires: pkgconfig(Qt5DBus) >= 5.0.1
BuildRequires: pkgconfig(Qt5Designer) >= 5.0.1
BuildRequires: pkgconfig(Qt5Gui) >= 5.0.1
BuildRequires: pkgconfig(Qt5Help) >= 5.0.1
BuildRequires: pkgconfig(Qt5Multimedia) >= 5.0.1
BuildRequires: pkgconfig(Qt5MultimediaWidgets) > 5.0.1
BuildRequires: pkgconfig(Qt5Network) >= 5.0.1
BuildRequires: pkgconfig(Qt5OpenGL) >= 5.0.1
BuildRequires: pkgconfig(Qt5PrintSupport) >= 5.0.1
BuildRequires: pkgconfig(Qt5Qml) >= 5.0.1
BuildRequires: pkgconfig(Qt5Quick) >= 5.0.1
BuildRequires: pkgconfig(Qt5Sql) >= 5.0.1
BuildRequires: pkgconfig(Qt5Svg) >= 5.0.1
BuildRequires: pkgconfig(Qt5Test) >= 5.0.1
BuildRequires: pkgconfig(Qt5WebKit) >= 5.0.1
BuildRequires: pkgconfig(Qt5WebKitWidgets) >= 5.0.1
BuildRequires: pkgconfig(Qt5Widgets) >= 5.0.1
BuildRequires: pkgconfig(Qt5XmlPatterns) >= 5.0.1
BuildRequires: pkgconfig(dbus-python)
BuildRequires: python-sip >= 1:4.15
BuildRequires: sed
BuildRequires: python-devel
Provides: PyQt5 = %version-%release
Requires: %{name}-core = %{version}
Requires: %{name}-dbus = %{version}
Requires: %{name}-designer = %{version}
Requires: %{name}-gui = %{version}
Requires: %{name}-multimedia = %{version}
Requires: %{name}-multimediawidgets = %{version}
Requires: %{name}-network = %{version}
Requires: %{name}-opengl = %{version}
Requires: %{name}-printsupport = %{version}
Requires: %{name}-qml = %{version}
Requires: %{name}-quick = %{version}
Requires: %{name}-sql = %{version}
Requires: %{name}-svg = %{version}
Requires: %{name}-test = %{version}
Requires: %{name}-webkit = %{version}
Requires: %{name}-webkitwidgets = %{version}
Requires: %{name}-widgets = %{version}
Requires: %{name}-xmlpatterns = %{version}

%description
PyQt is a set of Python bindings for Trolltech's Qt application framework

%files

#------------------------------------------------------------

%package core
Summary: PyQt 5 core
Group: Development/KDE and Qt
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description core
PyQt 5 core

%files core
%dir %py_platsitedir/PyQt5
%py_platsitedir/PyQt5/uic
%py_platsitedir/PyQt5/__init__.py*
%py_puresitedir/dbus/*
%py_platsitedir/PyQt5/Qt.so
%py_platsitedir/PyQt5/QtCore.so
%_datadir/sip/PyQt5/Qt
%_datadir/sip/PyQt5/QtCore
%_qt5_prefix/qsci/api/python/PyQt5.api

#------------------------------------------------------------

%package dbus
Summary: PyQt 5 dbus
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description dbus
PyQt 5 dbus

%files dbus
%py_platsitedir/PyQt5/QtDBus.so
%_datadir/sip/PyQt5/QtDBus

#------------------------------------------------------------

%package gui
Summary: PyQt 5 gui
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description gui
PyQt 5 gui

%files gui
%py_platsitedir/PyQt5/QtGui.so
%py_platsitedir/PyQt5/_QOpenGLFunctions_2_0.so
%_datadir/sip/PyQt5/QtGui
%_datadir/sip/PyQt5/_QOpenGLFunctions_2_0

#------------------------------------------------------------

%package network
Summary: PyQt 5 network
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description network
PyQt 5 network

%files network
%py_platsitedir/PyQt5/QtNetwork.so
%_datadir/sip/PyQt5/QtNetwork

#------------------------------------------------------------

%package help
Summary: PyQt 5 help
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description help
PyQt 5 help

%files help
%py_platsitedir/PyQt5/QtHelp.so
%_datadir/sip/PyQt5/QtHelp

#------------------------------------------------------------

%package opengl
Summary: PyQt 5 opengl
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description opengl
PyQt 5 opengl

%files opengl
%py_platsitedir/PyQt5/QtOpenGL.so
%_datadir/sip/PyQt5/QtOpenGL

#------------------------------------------------------------

%package printsupport
Summary: PyQt 5 printsupport
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description printsupport
PyQt 5 printsupport

%files printsupport
%py_platsitedir/PyQt5/QtPrintSupport.so
%_datadir/sip/PyQt5/QtPrintSupport

#------------------------------------------------------------

%package qml
Summary: PyQt 5 qml
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description qml
PyQt 5 qml

%files qml
%py_platsitedir/PyQt5/QtQml.so
%{_qt5_plugindir}/PyQt5/libpyqt5qmlplugin.so
%_datadir/sip/PyQt5/QtQml

#------------------------------------------------------------

%package quick
Summary: PyQt 5 quick
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description quick
PyQt 5 quick

%files quick
%py_platsitedir/PyQt5/QtQuick.so
%_datadir/sip/PyQt5/QtQuick

#------------------------------------------------------------

%package multimedia
Summary: PyQt 5 multimedia
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description multimedia
PyQt 5 multimedia

%files multimedia
%py_platsitedir/PyQt5/QtMultimedia.so
%_datadir/sip/PyQt5/QtMultimedia

#------------------------------------------------------------

%package multimediawidgets
Summary: PyQt 5 multimediawidgets
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description multimediawidgets
PyQt 5 multimediawidgets

%files multimediawidgets
%py_platsitedir/PyQt5/QtMultimediaWidgets.so
%_datadir/sip/PyQt5/QtMultimediaWidgets

#------------------------------------------------------------

%package sql
Summary: PyQt 5 sql
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description sql
PyQt 5 sql

%files sql
%py_platsitedir/PyQt5/QtSql.so
%_datadir/sip/PyQt5/QtSql

#------------------------------------------------------------

%package svg
Summary: PyQt 5 svg
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description svg
PyQt 5 svg

%files svg
%py_platsitedir/PyQt5/QtSvg.so
%_datadir/sip/PyQt5/QtSvg

#------------------------------------------------------------

%package test
Summary: PyQt 5 test
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description test
PyQt 5 test

%files test
%py_platsitedir/PyQt5/QtTest.so
%_datadir/sip/PyQt5/QtTest

#------------------------------------------------------------

%package webkit
Summary: PyQt 5 Webkit
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description webkit
PyQt 5 webkit

%files webkit
%py_platsitedir/PyQt5/QtWebKit.so
%_datadir/sip/PyQt5/QtWebKit

#------------------------------------------------------------

%package webkitwidgets
Summary: PyQt 5 webkitwidgets
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description webkitwidgets
PyQt 5 webkitwidgets

%files webkitwidgets
%py_platsitedir/PyQt5/QtWebKitWidgets.so
%_datadir/sip/PyQt5/QtWebKitWidgets

#------------------------------------------------------------

%package widgets
Summary: PyQt 5 widgets
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description widgets
PyQt 5 widgets

%files widgets
%py_platsitedir/PyQt5/QtWidgets.so
%_datadir/sip/PyQt5/QtWidgets

#------------------------------------------------------------

%package xmlpatterns
Summary: PyQt 5 xmlpatterns
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description xmlpatterns
PyQt 5 xmlpatterns

%files xmlpatterns
%py_platsitedir/PyQt5/QtXmlPatterns.so
%_datadir/sip/PyQt5/QtXmlPatterns

#------------------------------------------------------------

%package designer
Summary: PyQt 5 designer
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description designer
PyQt 5 designer

%files designer
%py_platsitedir/PyQt5/QtDesigner.so
%_datadir/sip/PyQt5/QtDesigner

#------------------------------------------------------------

%package devel
Summary: PyQt 5 devel
Group: Development/KDE and Qt
Requires: %{name} = %{version}
Requires: qttools5-designer

%description devel
PyQt 5 devel utilities

%files devel
%_bindir/pyuic5
%_bindir/pyrcc5
%_bindir/pylupdate5
%_qt5_plugindir/designer/*

#------------------------------------------------------------

%package doc
Summary: PyQt 5 documentation
Group: Development/KDE and Qt
Buildarch: noarch

%description doc
PyQt 5 documentation

%files doc
%doc %_docdir/%name
%exclude %_docdir/%name/examples
#------------------------------------------------------------

%package examples
Summary: PyQt 5 examples
Group: Development/KDE and Qt
BuildArch: noarch

%description examples
PyQt 5 examples.

%files examples
%doc %_docdir/%name/examples

#------------------------------------------------------------

%prep
%setup -q -n PyQt-gpl-%version

%build
export PATH=%{_qt5_bindir}:$PATH

python ./configure.py \
	--qsci-api \
	--confirm-license

sed -i -e "s,-fstack-protector,-fno-stack-protector,g" _Q*/Makefile
sed -i -e "s,^LIBS .*= ,LIBS = $(python-config --libs) ,g" Qt*/Makefile _Q*/Makefile dbus/Makefile
sed -i -e "s#^LFLAGS .*= #LFLAGS = %ldflags #g" Qt*/Makefile _Q*/Makefile pyrcc/Makefile designer/Makefile dbus/Makefile qmlscene/Makefile

%make

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}
rm -fr %{buildroot}%py_platsitedir/PyQt5/uic/port_v3

mkdir -p %buildroot%_docdir/%name
    cp -fr doc/html/* %buildroot%_docdir/%name/

mkdir %buildroot%_docdir/%name/examples
    cp -fr examples/* %buildroot%_docdir/%name/examples/


%changelog
* Sun Nov 03 2013 fwang <fwang> 5.1.1-1.mga4
+ Revision: 549242
- update file list
- drop port_v3 from dist package
- disable stack-protector flag for now
- update file list
- try fixing complie order
- disable bytecompile
- do more modification
- new version 5.1.1
- new version 5.1
- undefine bytecompile

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + neoclust <neoclust>
    - Enable back bycompile

* Thu Aug 29 2013 fwang <fwang> 5.0.1-1.mga4
+ Revision: 472850
- update file list
- new version 5.0.1

* Tue Aug 20 2013 fwang <fwang> 5.0-7.mga4
+ Revision: 468248
- use pkconfig br

* Tue Jun 18 2013 fwang <fwang> 5.0-6.mga4
+ Revision: 444588
- add doc and examples

* Tue Jun 18 2013 fwang <fwang> 5.0-5.mga4
+ Revision: 444584
- add xml patterns module
- br xml patterns

* Tue Jun 18 2013 fwang <fwang> 5.0-4.mga4
+ Revision: 444577
- update requires

* Tue Jun 18 2013 fwang <fwang> 5.0-3.mga4
+ Revision: 444560
- more fixes

* Tue Jun 18 2013 fwang <fwang> 5.0-2.mga4
+ Revision: 444490
- fix linkage

* Tue Jun 18 2013 fwang <fwang> 5.0-1.mga4
+ Revision: 444472
- add more modules
- drop doc packages
- fix sed usage
- drop more modules
- update file list
- update file list
- modify libs
- correct br
- imported package python-qt5

